<?php

namespace Drupal\Tests\role_test_accounts\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Drupal\user\Entity\Role;

/**
 * Tests the Role Test Accounts module.
 *
 * @group role_test_accounts
 */
class RoleTestAccountsTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  public static $modules = ['system', 'user', 'role_test_accounts'];

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();
    $this->installSchema('user', ['users_data']);
    $this->installSchema('system', ['sequences']);
    $this->installEntitySchema('user');
  }

  /**
   * Tests user accounts are created on role insert and deleted on role delete.
   */
  public function testAccountCreateAndDelete() {
    $role = Role::create(['id' => 'test_role']);
    $role->save();
    $this->assertNotFalse(user_load_by_name('test.test_role'));

    $role->delete();
    $this->assertFalse(user_load_by_name('test.test_role'));
  }

}
